Bug 477619 - Xserver doesn't start
Xserver doesn't start
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 09:46 EST by antonio montagnani
Modified: 2009-01-28 15:04 EST (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-drv-i810-2.5.99.1-0.3.fc11.i386
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-28 15:04:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log file (13.22 KB, text/plain)
2008-12-22 09:50 EST, antonio montagnani
no flags Details
Working configuration (28.36 KB, text/plain)
2009-01-15 09:32 EST, antonio montagnani
no flags Details
Xorg.log when box is not working (28.64 KB, text/plain)
2009-01-15 09:34 EST, antonio montagnani
no flags Details

  None (edit)
Description antonio montagnani 2008-12-22 09:46:51 EST
Description of problem:
No graphical start-up

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.boot system
2.
3.
  
Actual results:
no graphical boot

Expected results:
start-up

Additional info:
Comment 1 antonio montagnani 2008-12-22 09:50:36 EST
Created attachment 327650 [details]
Xorg.log file

this happens if I ussue a startx after text logon
Comment 2 antonio montagnani 2008-12-22 14:40:41 EST
reverting to:

xorg-x11-drv-apm-1.2.0-1.fc9.i386.rpm
xorg-x11-drv-ast-0.85.0-1.fc9.i386.rpm
xorg-x11-drv-ati-6.9.0-63.fc11.i386.rpm
xorg-x11-drv-chips-1.2.0-1.fc9.i386.rpm
xorg-x11-drv-cirrus-1.2.0-1.fc9.i386.rpm
xorg-x11-drv-evdev-2.1.0-1.fc11.i386.rpm
xorg-x11-drv-fbdev-0.3.1-7.fc9.i386.rpm
xorg-x11-drv-geode-2.11.0-1.fc11.i386.rpm
xorg-x11-drv-glint-1.2.1-1.fc9.i386.rpm
xorg-x11-drv-i740-1.2.0-1.fc9.i386.rpm
xorg-x11-drv-i810-2.5.99.1-0.1.fc11.i386.rpm
xorg-x11-drv-keyboard-1.3.0-3.fc9.i386.rpm
xorg-x11-drv-mach64-6.8.0-1.fc10.i386.rpm
xorg-x11-drv-neomagic-1.2.0-1.fc9.i386.rpm
xorg-x11-drv-nv-2.1.12-6.fc10.i386.rpm
xorg-x11-drv-r128-6.8.0-1.fc10.i386.rpm
xorg-x11-drv-s3-0.6.0-2.fc10.i386.rpm
xorg-x11-drv-s3virge-1.10.0-1.fc9.i386.rpm
xorg-x11-drv-savage-2.2.0-2.fc9.i386.rpm
xorg-x11-drv-sis-0.10.0-1.fc9.i386.rpm
xorg-x11-drv-synaptics-0.99.3-1.fc11.i386.rpm
xorg-x11-drv-tdfx-1.4.0-1.fc9.i386.rpm
xorg-x11-drv-trident-1.3.0-1.fc9.i386.rpm
xorg-x11-drv-tseng-1.2.0-1.fc9.i386.rpm
xorg-x11-drv-vesa-2.0.0-1.fc10.i386.rpm
xorg-x11-drv-vmmouse-12.6.2-1.fc11.i386.rpm
xorg-x11-server-common-1.5.3-6.fc10.i386.rpm
xorg-x11-server-Xorg-1.5.3-6.fc10.i386.rpm

I do not know what is causing the problem, and if problem will start
also on other systems: no time for experiments now, someone else will
carry out such tests.
Comment 3 Matěj Cepl 2008-12-22 16:55:42 EST
Nice one:

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x3b) [0x812d07b]
1: /usr/bin/X(xf86SigHandler+0x51) [0x80bf9f1]
2: [0x110400]
3: /usr/bin/X(xf86CrtcSetModeTransform+0x1e7) [0x80e7527]
4: /usr/bin/X(xf86CrtcSetMode+0x36) [0x80e7eb6]
5: /usr/lib/xorg/modules/drivers//intel_drv.so(i830GetLoadDetectPipe+0x15d) [0x1df7cd]
6: /usr/lib/xorg/modules/drivers//intel_drv.so [0x1fd22d]
7: /usr/bin/X(xf86ProbeOutputModes+0x1a0) [0x80e8270]
8: /usr/bin/X(xf86InitialConfiguration+0x132) [0x80e8df2]
9: /usr/lib/xorg/modules/drivers//intel_drv.so [0x1e4f09]
10: /usr/lib/xorg/modules/drivers//intel_drv.so [0x1e7385]
11: /usr/bin/X(InitOutput+0xe13) [0x80a8813]
12: /usr/bin/X(main+0x1e1) [0x806b5d1]
13: /lib/libc.so.6(__libc_start_main+0xe5) [0x71f6d5]
14: /usr/bin/X [0x806ac61]
Comment 4 antonio montagnani 2009-01-07 17:09:52 EST
I updated another machine with cirrus driver and boom no work.
I didn't find any clue in Xorg.log file (but I have to investigate further).
I reverted as per comment #2 but I had to issue also a --nodeps option as xorg-x11-driver (and another rpm that I do not remember, that box is sleeping in my office now.) was not downgraded.
Tomorrow I will investigate deeper.
Now the machine is working again.
Which is the xorg-x11-driver compatible with the rpm's as per comment #2???

My general comment: are Xorg rpm's ready to be delivered to F11 tester's as in my case they are causing big problems on 2 out of 3 machines that have all different graphic cards????
Comment 5 antonio montagnani 2009-01-09 08:30:04 EST
I updated only:

xorg-X11-server-Xorg and xorg-x11-server-common to 1.55.99.3-5.fc11
xorg-x11-drv-evdev to 2.1.0-3.fc11

and again the graphic server doesn't start!!!!
Fortunately I upgraded only one machine and only these 3 packages so going back hopefully should not be a problem.
My machine is using an intel graphic driver (i810).
Comment 6 antonio montagnani 2009-01-14 09:26:22 EST
Same troubles as per comment#5 after update to on my system with i810 driver
xorg-X11-server-Xorg and xorg-x11-server-common to 1.55.99.901-1.fc11
xorg-x11-drv-evdev to 2.1.1-1.fc11

Other machine with nv driver is running fine!!!
Comment 7 antonio montagnani 2009-01-15 09:30:26 EST
same troubles on a different box with cirrus driver 

I had to revert older packages to come back to a working station.

Attachment will follows...
Comment 8 antonio montagnani 2009-01-15 09:32:35 EST
Created attachment 329097 [details]
Working configuration

This is a working configuration file for a Cirrus driver
Comment 9 antonio montagnani 2009-01-15 09:34:00 EST
Created attachment 329098 [details]
Xorg.log when box is not working

Same file after upgrading and the box was not starting Xserver....
Comment 10 antonio montagnani 2009-01-28 12:05:47 EST
 Updated one of my system (intel driver) and now it works as expected.

rpm -qa xorg-x11*
xorg-x11-drv-spaceorb-1.1.0-6.fc9.i386
xorg-x11-drv-evdev-2.1.1-1.fc11.i386
xorg-x11-drv-synaptics-0.99.3-3.fc11.i386
xorg-x11-drv-openchrome-0.2.903-6.fc11.i386
xorg-x11-drv-ast-0.87.0-1.fc11.i386
xorg-x11-drv-penmount-1.3.0-1.fc9.i386
xorg-x11-drv-microtouch-1.2.0-1.fc9.i386
xorg-x11-drv-s3virge-1.10.2-1.fc11.i386
xorg-x11-server-utils-7.4-3.fc10.i386
xorg-x11-drv-void-1.1.1-9.fc9.i386
xorg-x11-drv-jamstudio-1.2.0-1.fc9.i386
xorg-x11-drv-dummy-0.3.0-1.fc9.i386
xorg-x11-drv-mutouch-1.2.1-1.fc10.i386
xorg-x11-fonts-misc-7.2-6.fc9.noarch
xorg-x11-proto-devel-7.4-12.fc11.noarch
xorg-x11-server-Xorg-1.5.99.901-5.fc11.i386
xorg-x11-drv-mach64-6.8.0-2.fc11.i386
xorg-x11-drv-i740-1.2.0-2.fc11.i386
xorg-x11-drv-vmware-10.16.0-2.fc11.i386
xorg-x11-drv-dmc-1.1.2-1.fc9.i386
xorg-x11-drv-rendition-4.2.0-1.fc9.i386
xorg-x11-drv-i128-1.3.0-1.fc9.i386
xorg-x11-drv-fpit-1.2.0-1.fc9.i386
xorg-x11-drv-mga-1.4.9-1.fc9.i386
xorg-x11-drv-siliconmotion-1.6.0-1.fc9.i386
xorg-x11-drv-geode-2.11.0-2.fc11.i386
xorg-x11-drv-ati-6.10.0-1.fc11.i386
xorg-x11-drv-r128-6.8.0-2.fc11.i386
xorg-x11-drv-vmmouse-12.6.3-1.fc11.i386
xorg-x11-drv-palmax-1.2.0-1.fc9.i386
xorg-x11-drv-digitaledge-1.1.1-1.fc9.i386
xorg-x11-drv-acecad-1.2.2-1.fc9.i386
xorg-x11-drv-aiptek-1.1.1-1.fc9.i386
xorg-x11-drv-elographics-1.2.3-1.fc10.i386
xorg-x11-drv-apm-1.2.1-1.fc11.i386
xorg-x11-apps-7.3-6.fc11.i386
xorg-x11-drv-keyboard-1.3.2-1.fc11.i386
xorg-x11-drv-trident-1.3.1-1.fc11.i386
xorg-x11-drv-tdfx-1.4.1-1.fc11.i386
xorg-x11-xkb-utils-7.2-7.fc10.i386
xorg-x11-xauth-1.0.2-5.fc10.i386
xorg-x11-drv-wiimote-0.0.1-1.fc9.i386
xorg-x11-drv-diamondtouch-0.2.0-0.1.fc9.i386
xorg-x11-drv-nouveau-0.0.11-1.20081119git65b956f.fc10.i386
xorg-x11-drv-vesa-2.1.0-1.fc11.i386
xorg-x11-drv-neomagic-1.2.2-1.fc11.i386
xorg-x11-drv-cirrus-1.2.0-2.fc11.i386
xorg-x11-drv-sis-0.10.1-1.fc11.i386
xorg-x11-filesystem-7.3-2.fc10.noarch
xorg-x11-drv-ur98-1.1.0-5.fc9.i386
xorg-x11-drv-sisusb-0.9.0-1.fc9.i386
xorg-x11-drv-summa-1.2.0-2.fc10.i386
xorg-x11-drv-i810-2.5.99.1-0.3.fc11.i386
xorg-x11-drv-savage-2.2.0-2.fc11.i386
xorg-x11-drv-s3-0.6.1-1.fc11.i386
xorg-x11-drv-fbdev-0.4.0-3.fc11.i386
xorg-x11-font-utils-7.2-6.fc10.i386
xorg-x11-utils-7.4-3.fc10.i386
xorg-x11-drv-hyperpen-1.2.0-1.fc9.i386
xorg-x11-drv-tek4957-1.2.0-1.fc9.i386
xorg-x11-drv-calcomp-1.1.2-1.fc9.i386
xorg-x11-drv-dynapro-1.1.2-1.fc9.i386
xorg-x11-drv-mouse-1.4.0-1.fc11.i386
xorg-x11-drv-tseng-1.2.1-1.fc11.i386
xorg-x11-xinit-1.0.9-4.fc10.i386
xorg-x11-drv-voodoo-1.2.0-1.fc9.i386
xorg-x11-drv-v4l-0.2.0-1.fc9.i386
xorg-x11-drv-nv-2.1.12-7.fc11.i386
xorg-x11-drv-chips-1.2.1-1.fc11.i386
xorg-x11-drv-magellan-1.2.0-1.fc9.i386
xorg-x11-drv-citron-2.2.1-1.fc9.i386
xorg-x11-server-common-1.5.99.901-5.fc11.i386
xorg-x11-drv-glint-1.2.2-1.fc11.i386

Note You need to log in before you can comment on or make changes to this bug.